


<!-- BEGIN: Subheader -->
<div class="m-subheader ">
    <div class="d-flex align-items-center">
        <div class="mr-auto">
            <h3 class="m-subheader__title m-subheader__title--separator">
                Penggabungan Tugas
            </h3>
            <ul class="m-subheader__breadcrumbs m-nav m-nav--inline">
                <li class="m-nav__separator">
                    <i class="flaticon-add"></i> Input Penggabungan Tugas
                </li>
            </ul>
        </div>
    </div>
</div>
<!-- END: Subheader -->

<div class="m-content">
    <!--Begin::Main Portlet-->
    <div class="row">
        <div class="col-xl-12">
            <!--begin::Portlet-->
            <div class="m-portlet m-portlet--tab">
                <div class="m-portlet__head">
                    <div class="m-portlet__head-caption">
                        <div class="m-portlet__head-title">
                            <span class="m-portlet__head-icon m--hide">
                                <i class="la la-gear"></i>
                            </span>
                            <h3 class="m-portlet__head-text">
                                Form Input Pengajuan Penggabungan Tugas
                            </h3>
                        </div>
                    </div>
                </div>

                <!-- alert -->
                <?php
                if ($this->input->get('msg') == "success") {
                    echo "<div class='alert alert-success alert-dismissible fade show' role='alert'>";
                    echo "<button type='button' class='close' data-dismiss='alert' aria-label='Close'></button>";
                    echo "<strong>Selamat</strong> data anda berhasil disimpan.</div>";
                } elseif ($this->input->get('msg') == "failed") {
                    echo "<div class='alert alert-danger alert-dismissible fade show' role='alert'>";
                    echo "<button type='button' class='close' data-dismiss='alert' aria-label='Close'></button>";
                    echo "<strong>Error!</strong> data anda gagal disimpan, periksa inputan anda kembali .</div>";
                }
                ?>
                <?php
                    if($this->input->get('msg') == 'success'){?>
                      <script>
                     $(document).ready(function(){
                        swal('Pengiriman Tugas Berhasil','', 'success');
                    });
                    </script>
                <?php }elseif($this->input->get('msg') == 'failed   '){?>
                     <script>
                     $(document).ready(function(){
                        swal('Pengiriman Tugas Gagal','', 'error');
                    });
                    </script>
                <?php }elseif($this->input->get('msg') == 'successdraft '){?>
                     <script>
                     $(document).ready(function(){
                        swal('Simpan Tugas Ke Draft Berhasil','', 'success');
                    });
                    </script>
                <?php }elseif($this->input->get('msg') == 'faileddraft'){?>
                     <script>
                     $(document).ready(function(){
                        swal('Simpan Tugas Ke Draft Gagal','', 'error');
                    });
                    </script>
                <?php };?>

                <!--begin::Form-->
                <?php
                $att = array('class' => 'm-form m-form--fit m-form--label-align-right', 'role' => 'form');
                echo form_open('task/savegabungan', $att);
                ?>
                <div class="m-portlet__body">
                    <div class="row">
                        <div class="col-xl-6">
                            <div class="form-group m-form__group">
                                <label class="col-form-label">
                                    <b>Perusahaan</b>
                                </label>
                                <select class="form-control m-bootstrap-select m_selectpicker" name="PerID" id="PerID" title="Silahkan Pilih Nama Perusahaan Anda">
                                    <!-- <option></option> -->
                                    <?php
                                    foreach ($getPer as $set):
                                        echo "<option value='" . $set->PerID . "'>" . $set->Singkatan . "</option>";
                                    endforeach;
                                    ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-xl-6">
                            <div class="form-group m-form__group">
                                <label class="col-form-label">
                                    <b>Kode Tugas</b>
                                </label>
                                <input class="form-control m-input--air" type="text" name="KodeTask" id="KodeTask" value="" required="required" readonly="readonly">
                            </div>
                        </div>
                        <div class="col-xl-6">
                            <div class="form-group m-form__group">
                                <label class="col-form-label">
                                    <b>Judul Tugas 1</b>
                                </label>
                                <select class="form-control m-bootstrap-select m_selectpicker" name="JudulTask1" id="JudulTask1" title="Silahkan Pilih Judul Tugas">
                                    <!-- <option></option> -->
                                    <option value='0'>Pilih Judul</option>
                                    <?php $no=1; foreach ($get as $set):?>
                                        <option value='<?php echo $set->TaskID?>'><?php echo $no.'. '.$set->JudulTask?></option>";
                                    <?php $no++;endforeach; ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-xl-6">
                            <div class="form-group m-form__group">
                                <label class="col-form-label">
                                    <b>Judul Tugas 2</b>
                                </label>
                                <select class="form-control m-bootstrap-select m_selectpicker" name="JudulTask2" id="JudulTask2" title="Silahkan Pilih Judul Tugas">
                                    <option value='0'>Pilih Judul</option>
                                    <?php $no=1; foreach ($get as $set):?>
                                        <option value='<?php echo $set->TaskID?>'><?php echo $no.'. '.$set->JudulTask?></option>";
                                    <?php $no++;endforeach; ?>
                                </select>
                            </div>
                        </div>
                        
                        <div class="col-xl-12">
                            <div class="form-group m-form__group">
                                <label class="col-form-label">
                                    <b>Alasan Penggabungan</b><a href="javascript:;" onclick="tampil_panduan_penjelasan()"><i class="fa fa-question-circle-o " style="padding-left: 10px;font-size: 20px"></i></a>
                                </label>
                                <textarea minlength="10" class="form-control m-input--air" id="m_autosize_1" rows="2" name="Alasan" placeholder="Silahkan jelaskan sedetil-detilnya alasan anda menggabungkan task ini."></textarea>
                            </div>
                            <hr>
                        </div>
                        <div class="col-xl-12">
                            <div class="form-group m-form__group">
                                <label class="col-form-label">
                                    <b>Judul Tugas Penggabungan</b>
                                </label>
                                <input minlength="10" class="form-control m-input--air" type="text" name="JudulTask" placeholder="Silahkan Masukkan Judul Dari Tugas Anda" required="required" value="">
                            </div>
                        </div>
                        <div class="col-xl-12">
                            <div class="form-group m-form__group">
                                <label class="col-form-label">
                                    <b>Penjelasan</b><a href="javascript:;" onclick="tampil_panduan_penjelasan()"><i class="fa fa-question-circle-o " style="padding-left: 10px;font-size: 20px"></i></a>
                                </label>
                                <textarea minlength="10" class="form-control m-input--air" id="m_autosize_1" rows="2" name="Penjelasan" placeholder="Silahkan masukan dengan singkat dan jelas penjelasan atau deskripsi atau spesifikasi dari tugas yang akan anda buat."></textarea>
                            </div>
                        </div>
                        <div class="col-xl-12">
                            <div class="form-group m-form__group">
                                <label class="col-form-label">
                                    <b>Objektif</b> <a href="javascript:;" onclick="tampil_panduan_objektif()"><i class="fa fa-question-circle-o " style="padding-left: 10px;font-size: 20px"></i></a>
                                </label>
                                <textarea minlength="10" class="form-control m-input--air" id="m_autosize_2" rows="2" name="Objektif"  required placeholder="Objektif merupakan tujuan dari tugas yang akan anda buat. Jelaskan tujuan tugas anda."></textarea>
                            </div>
                        </div>
                        <div class="col-xl-6">
                            <div class="form-group m-form__group">
                                <label class="col-form-label">
                                    <b>Departemen Yang Terlibat</b><a href="javascript:;" onclick="tampil_panduan_departemen()"><i class="fa fa-question-circle-o " style="padding-left: 10px;font-size: 20px"></i></a>
                                </label>
                                <!-- <div class="m-select2 m-select2--air"> -->
                                <!--    <select class="form-control" id="departemen" name="Dept[]" data-placeholder="Silahkan Pilih" data-actions-box="true"> -->
                                <div id="departemen_select">

                                    <select class="form-control" id="dept" name="Dept[]" title="Silahkan Pilih Lebih Dari Satu">
                                        <option></option>
                                    </select>
                                </div>
                                <!-- </div> -->
                            </div>
                        </div>
                        <div class="col-xl-6">
                            <div class="form-group m-form__group ">
                                <label class="col-form-label">
                                    <b>Bidang</b><a href="javascript:;" onclick="tampil_panduan_bidang()"><i class="fa fa-question-circle-o " style="padding-left: 10px;font-size: 20px"></i></a>
                                </label>
                                <select class="form-control m-bootstrap-select m_selectpicker" name="Bidang[]" id="Bidang" multiple title="Silahkan Pilih">
                                    <?php foreach($getbidang as $net){?>
                                        <option value="<?php echo $net->idbidang?>"><?php echo $net->namabidang?></option>
                                        <?php };?>
                                </select>
                            </div>
                        </div>
                        <div class="col-xl-3">
                            <div class="form-group m-form__group">
                                <label class="col-form-label">
                                    <b>Biaya</b> <a href="javascript:;" onclick="tampil_panduan_biaya()"><i class="fa fa-question-circle-o " style="padding-left: 10px;font-size: 20px"></i></a>
                                </label>
                                <div class="input-group">
                                    <span class="input-group-addon">Rp.</span>
                                    <input class="form-control m-input--air" type="text" name="Biaya" id="Biaya" value="" placeholder="Estimasi biaya" onkeyup="ganti_format()">
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-6">
                            <div class="form-group m-form__group">
                                <label class="col-form-label">
                                    <b>Jadwal Tugas</b>
                                </label>
                                <div class="input-group">
                                    <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                                    <input class="form-control m-input--air" type="text" name="datefilter" value="" placeholder="Silahkan Pilih Tanggal Awal dan Akhir Project Anda">
                                </div>
                            </div>
                        </div>
                        <script type="text/javascript">
                            
                            $(function () {

                                $('input[name="datefilter"]').daterangepicker({
                                    autoUpdateInput: false,
                                    locale: {
                                        cancelLabel: 'Clear',
                                        format: "DD/MM/YYYY"
                                    }
                                });

                                $('input[name="datefilter"]').on('apply.daterangepicker', function (ev, picker) {
                                    $(this).val(picker.startDate.format('DD/MM/YYYY') + ' - ' + picker.endDate.format('DD/MM/YYYY'));
                                    var today = picker.startDate.format('DD/MM/YYYY');
                                    today = new Date(today.split('/')[2], today.split('/')[1] - 1, today.split('/')[0]);
                                    var date2 = picker.endDate.format('DD/MM/YYYY');
                                    date2 = new Date(date2.split('/')[2], date2.split('/')[1] - 1, date2.split('/')[0]);
                                    var timeDiff = Math.abs(date2.getTime() - today.getTime());
                                    var diffDays = Math.ceil(timeDiff / (1000 * 3600 * 24));
                                    $('#Waktu').val(diffDays);
                                });

                                $('input[name="datefilter"]').on('cancel.daterangepicker', function (ev, picker) {
                                    $(this).val('');
                                });

                            });
                        </script>

                        <div class="col-xl-3">
                            <div class="form-group m-form__group ">
                                <label class="col-form-label">
                                    <b>Estimasi Waktu</b>
                                </label>
                                <!-- <div class="form-group m-form__group "> -->
                                <div class="input-group">
                                    <input type="text" id="Waktu" name="Waktu" class="form-control m-input--air text-center" readonly placeholder="Waktu" >
                                    <span class="input-group-addon">
                                        hari
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-6">
                            <div class="form-group m-form__group">
                                <label class="col-form-label">
                                    <b>Dampak Operasional</b> <a href="javascript:;" onclick="tampil_panduan_dampak()"><i class="fa fa-question-circle-o" style="padding-left: 10px;font-size: 20px"></i></a>
                                </label>
                                <textarea minlength="10" class="form-control m-input--air" id="Dampak" rows="2" name="Dampak" placeholder="Silahkan jelaskan dampak yang akan didapat jika tugas ini dilaksanakan dengan baik."></textarea>
                            </div>
                        </div>
                        <div class="col-xl-6">
                            <div class="form-group m-form__group">
                                <label class="col-form-label">
                                    <b>Dampak Non Operasional</b> <a href="javascript:;" onclick="tampil_panduan_dampak_non()"><i class="fa fa-question-circle-o " style="padding-left: 10px;font-size: 20px"></i></a>
                                </label>
                                <textarea minlength="10" class="form-control m-input--air" id="Dampak" rows="2" name="DampakNonOperasional" placeholder="Silahkan jelaskan dampak yang akan didapat jika tugas ini tidak dilaksanakan dengan baik."></textarea>
                            </div>
                        </div>
                        <div class="col-xl-12">
                            <div class="form-group m-form__group">
                                <label class="col-form-label">
                                    <b>Pengguna Yang Terlibat</b> <a href="javascript:;" onclick="tampil_panduan_monitoring()"><i class="fa fa-question-circle-o " style="padding-left: 10px;font-size: 20px"></i></a>
                                </label>
                                <input type='hidden' minlength="10" class="form-control m-input--air" id="txt_user" name="Users[]" placeholder="Silahkan Pilih Lebih Dari Satu User Yang Terlibat Dari Tugas Yang Anda Buat" required="required" value="" >
                                <textarea data-role="tagsinput"   readonly minlength="10" class="form-control m-input--air" type="text" id="txt_user_lengkap" name="Users1[]" placeholder="Silahkan Pilih Lebih Dari Satu User Yang Terlibat Dari Tugas Yang Anda Buat" required="required"></textarea>
                                </br>
                                <button type="button" class="btn btn-sm btn-warning" data-toggle="modal" data-target="#modalusermonitoring">
                                    <i class="fa fa-plus-circle"></i> Tambah User Yang Terlibat
                                </button>
                            </div>
                        

                            <div class="col-lg-12">
                                <hr>
                                 <label class="col-form-label">
                                    <div style="font-weight: 600;font-size: 17pt">Tahapan Tugas (Sub Tugas)<a href="javascript:;" onclick="tampil_panduan_subtask()"><i class="fa fa-question-circle-o " style="padding-left: 10px;font-size: 20px"></i></a></div>
                                </label>
                                <div style="overflow-x:auto;">
                                    <table class="table table-bordered table-hover table-striped" style="width:100%" id="toha">
                                        
                                        <tbody id="dataTable"> 
                                        <?php $no=1;?>
                                            <tr>
                                                <td style="width:5%">
                                                    <a style="color:#fff" class="btn btn-danger txt" onclick="hapus_baris(this)"><i class="la la-trash"></i></a>
                                                </td>
                                                <td style="width:5%">
                                                    1
                                                </td>
                                                <td class="text-center" style="width:50%">
                                                    <textarea minlength="10" type="text"  name="Tahap[]" id="Tahap" placeholder="Input Tahap ke 1 dari Tugas Anda" style="padding:.65rem 0.25rem;" class="form-control" ></textarea>
                                                </td>
                                                <td class="text-center" style="width:20%">
                                                   <input type='text' class="form-control target" id="Target" name="Target[]" placeholder="Pilih Tanggal Target" value=""/>
                                                </td>
                                            </tr>
                                            <tr>
                                               <td style="width:5%">
                                                    <a style="color:#fff" class="btn btn-danger txt" onclick="hapus_baris(this)"><i class="la la-trash"></i></a>
                                                </td>
                                                <td style="width:5%">
                                                    2
                                                </td>
                                                <td class="text-center" style="width:50%">
                                                    <textarea minlength="10" type="text" name="Tahap[]" id="Tahap" placeholder="Input Tahap ke 2 dari Tugas Anda" style="padding:.65rem 0.25rem;" class="form-control"></textarea>
                                                </td>
                                                <td class="text-center" style="width:20%">
                                                   <input type='text' class="form-control target" id="Target" name="Target[]" placeholder="Pilih Tanggal Target" value=""/>
                                                </td>
                                            </tr>
                                            <tr>
                                               <td style="width:5%">
                                                    <a style="color:#fff" class="btn btn-danger txt" onclick="hapus_baris(this)"><i class="la la-trash"></i></a>
                                                </td>
                                                <td style="width:5%">
                                                    3
                                                </td>
                                                <td class="text-center" style="width:50%">
                                                    <textarea minlength="10" type="text" name="Tahap[]" id="Tahap" placeholder="Klik tombol tambah sub task jika ingin menambah sub task" style="padding:.65rem 0.25rem;" class="form-control"></textarea>
                                                </td>
                                                <td class="text-center" style="width:20%">
                                                   <input type='text' class="form-control target" id="Target" name="Target[]" placeholder="Pilih Tanggal Target" value=""/>
                                                </td>
                                            </tr>
                                        <?php $no++;?>     
                                        </tbody>
                                    </table>
                                     <button type="button" class="btn btn-sm btn-warning" onclick="tambah_baris()"><i class="fa fa-plus-circle"></i> Tambah Sub Tugas</button>
                                </div>
                            </div>
                        </div>
                          <!--   <div class="row">
                                <div class="form-group m-form__group">
                                    <label class="col-md-2 col-xs-3 col-form-label"></label>
                                    <div class="col-md-10 col-xs-12">
                                         <button type="button" class="btn btn-sm btn-warning" onclick="tambah_baris()"><i class="fa fa-plus-circle"></i> Tambah Sub Tugas</button>
                                    </div>
                                </div>
                            </div> -->
                        <!-- </div> -->
                    </div>
                </div>
                <div class="m-portlet__foot m-portlet__foot--fit">
                    <div class="m-form__actions">
                        <div class="row">
                            <!-- <div class="col-md-2"></div> -->
                            <div class="col-md-10 col-xs-12">
                                <button type="Submit" name="Proses" Value="Simpan" class="btn btn-brand" onclick="return confirm('Apakah Anda Yakin Ingin Mengirim Data Ini?')"><i class="fa fa-check-square-o"> </i>Kirim</button>
                                <button type="Submit" name="Proses" Value="Draft" class="btn btn-brand"><i class="fa fa-download"></i> Simpan ke Konsep</button>
                                <a class="btn btn-secondary" href="javascript:history.back()">Kembali</a>
                            </div>
                        </div>
                    </div>
                </div>
                </form>
            </div>
            <!-- </div> -->
            <!--end::Portlet-->
        </div>
    </div>
    <!--End::Main Portlet-->
</div>


<!-- MODAL MODAL MODAL -->
<div class="modal fade" id="modalusermonitoring" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content" id="div_tampil">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">
                    Pilih Group Daftar Tugas
                </h5>
            </div>


            <div class="modal-body">
                <div class="row">
                 <div class="col-lg-12 col-xs-12 col-sm-12">
                    <select style="width: 100%" disabled="" class="m-select2" id="m_select2_3" name="param" multiple="multiple">
                     <?php foreach ($getUser as $set) { ?>
                            <option value="<?php echo $set->LoginID?>|<?php echo $set->NamaUser?>"><?php echo $set->NamaUser?></option>
                        <?php  } ?>

                    </select>
                </div>
                    <div class="col-xs-12 col-sm-12">
                        
                        <button  style="width:100%" type="button" class="btn btn-brand" id="btn_from" onclick="AmbilData(this)" data-dismiss="modal"  style="float:left">Konfirmasi</button>
                        
                    </div>
                 
                </div>
                <!-- <br/> -->
                <!-- <div class="row">   -->    
             <!--    <button type="button" class="btn btn-brand" id="btn_from" onclick="AmbilData(this)" data-dismiss="modal">Ambil Data User</button> -->
                <!-- <br/> -->
                <div style="overflow-x: scroll;">
                    <table class="table table-bordered" id="tbl_tes" width="100%">
                    <thead>
                        <tr>
                            <th  title="Field #0">
                                Pilih
                            </th>
                            <th title="Field #1">
                                Nama User
                            </th>
                            <th title="Status">
                                Perusahaan
                            </th>
                            <th title="Field #3">
                                Jabatan
                            </th>

                        </tr>
                    </thead>
                    <tbody>
                        <?php $no=1;foreach ($getUser as $set) { ?>
                            <tr>
                                <td width="">
                                    <label class="m-checkbox m-checkbox--solid m-checkbox--brand">
                                        <input onclick="tagnama(this)" type="checkbox" class="ace" id="TaskID" name="chk[]" value="<?php echo $set->LoginID . "|" . $set->NamaUser; ?>">
                                        <span></span>
                                    </label>
                                    <input type="hidden" class="" id="namalengkap" name="namalengkap[]" value="<?php echo $set->NamaUser; ?>">
                                </td>
                                <td>
                                    <?php echo $set->NamaUser ?>
                                </td>
                                <td>
                                    <?php echo $set->SingkatanPer ?>
                                </td>
                                <td>
                                    <?php echo $set->NamaJab ?>
                                </td>

                            </tr>
                        <?php $no++; } ?>

                        </tr>
                    </tbody>
                </table>
            </div>
            <!-- </div> -->
            <!-- </div> -->
            <!-- </div> -->
            <div class="modal-footer">
                <!-- <button type="Submit" class="btn btn-brand" name="Proses" value="Approve">Diteruskan</button>
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button> -->
                <!-- <button type="Submit" class="btn btn-brand">Submit</button> -->
            </div>
        </div>
    </div>
</div>

 <div id="tahapan">
    <div class="form-group m-form__group">
        <label class="col-form-label">
            <b>Tahapan Tugas (Sub Tugas)</b><a href="javascript:;" onclick="tampil_panduan_subtask()"><i class="fa fa-question-circle-o " style="padding-left: 10px;font-size: 20px"></i></a>
        </label>
        <!-- <div class="col-md-10 col-xs-12"> -->
        <textarea minlength="10" class="form-control m-input--air" id="Tahap" rows="2" name="Tahap[]" placeholder="Input Sub Tugas Anda Sedetail-detailnya" required="required"></textarea>

        <!-- </div> -->
    </div>
</div>

<script type="text/javascript">
function tambah_baris() {
    var jum = document.getElementsByClassName('txt');
    var l = jum.length+1;
    var no = l+3;
    // alert(l);
    var num = 1;
    for (var i = 0; i < num; i++) {
        $('table[id="toha"]').append('<tr>\n\
            <td style="width:10px">\n\
                <a style="color:#fff" class="btn btn-danger txt" onclick="hapus_baris(this)"><i class="la la-trash"></i></a>\n\
            </td>\n\
            <td style="width:10px">'+l+'</td>\n\
            <td class="text-center">\n\
                <textarea minlength="10" type="text" name="Tahap[]" id="Tahap" placeholder="Klik tombol tambah sub task jika ingin menambah sub task" style="padding:.65rem 0.25rem;" class="form-control" required="required"></textarea>\n\
            </td>\n\
            <td class="text-center" style="width:20%">\n\
               <input type="text" class="form-control target" id="Target" name="Target[]" placeholder="Pilih Tanggal Target" value="" required="required"/>\n\
            </td>\n\
        </tr>');
    }
    $('.target').datepicker({
            'autoclose'      : true,
            'todayHighlight' : !0,
         
            'orientation'    : "top right",
            'format'         :('dd-mm-yyyy')
                                    // var today = picker.startDate.format('DD/MM/YYYY');
        });
}
function hapus_baris(ip){
    var tr = ip.parentNode.parentNode;
    tr.parentNode.removeChild(tr);
}
</script>

<!-- MODAL MODAL MODAL -->
<script>

    function pilihdata($id){
        if(document.getElementById($id).checked){

        }

    }


    function ganti_format() {
        var a = $("#Biaya").val();
        var b = number_format(a, 0);
        $("#Biaya").val(b);

    }

     function AmbilData(x) {
      
          var selected = document.querySelectorAll("#m_select2_3 option:checked");
          
          var tuser = $(selected).map(function(){
                var a = $(this).val();
                var res = a.split("|");
                return res[0];
              }).get().join(',');

          $("#txt_user").val(tuser+",");

           var tuser = $(selected).map(function(){
                var a = $(this).val();
                var res = a.split("|");
                return res[1];
              }).get().join(',');

          $("#txt_user_lengkap").val(tuser);

    }

    function tagnama(x)
    {
        function getText(el) {
            if (typeof el.textContent == 'string')
                return el.textContent;
            if (typeof el.innerText == 'string')
                return el.innerText;
        }
        $r = x.rowIndex;

        var chk_arr = document.getElementsByClassName("ace");
        var namalengkap = document.getElementById("namalengkap");
        var chk_length = chk_arr.length;
        document.getElementById("txt_user").value = "";
        document.getElementById("txt_user_lengkap").value = "";
        for (r = 0; r < chk_length; r++) {
            var str = chk_arr[r].value;
            var res = str.split("|");
            var users = res[0];
            var user_name = res[1];
            
            if (chk_arr[r].checked === true) {
                $("#m_select2_3 option[value='" + str + "']").attr("selected", true);
                $("#m_select2_3").select2();
                // var nama=user_name[r] + ",";
                // document.getElementById("useruserterlibat").value = user_name + ",";;
            } else {
                $("#m_select2_3 option[value='" + str + "']").attr("selected", false);
                $("#m_select2_3").select2();
            }
        }
        
    }

    function number_format(number, decimals, dec_point, thousands_sep) {
        number = (number + '').replace(/[^0-9+\-Ee.]/g, '');
        var n = !isFinite(+number) ? 0 : +number,
                prec = !isFinite(+decimals) ? 0 : Math.abs(decimals),
                sep = (typeof thousands_sep === 'undefined') ? ',' : thousands_sep,
                dec = (typeof dec_point === 'undefined') ? '.' : dec_point,
                s = '',
                toFixedFix = function (n, prec) {
                    var k = Math.pow(10, prec);
                    return '' + (Math.round(n * k) / k)
                            .toFixed(prec);
                };
        // Fix for IE parseFloat(0.55).toFixed(0) = 0;
        s = (prec ? toFixedFix(n, prec) : '' + Math.round(n))
                .split('.');
        if (s[0].length > 3) {
            s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
        }
        if ((s[1] || '').length < prec) {
            s[1] = s[1] || '';
            s[1] += new Array(prec - s[1].length + 1)
                    .join('0');
        }
        return s.join(dec);
    }
</script>
<script type="text/javascript">

     $(document).ready(function () {
      
        // $("#toha").dataTable({
            
        // });



        $('.target').datepicker({
            'autoclose'      : true,
            'todayHighlight' : !0,
         
            'orientation'    : "top right",
            'format'         :('dd-mm-yyyy')
                                    // var today = picker.startDate.format('DD/MM/YYYY');
        });
    });

    $(document).ready(function () {

        var nowTemp = new Date();
        var now = new Date(nowTemp.getFullYear(), nowTemp.getMonth(), nowTemp.getDate(), 0, 0, 0, 0);
        $('#Waktu').val(0);
        var checkin = $('#dpd1').datepicker({
            onRender: function (date) {
                return date.valueOf() < now.valueOf() ? 'disabled' : '';
            }
        }).on('changeDate', function (ev) {
            if (ev.date.valueOf() > checkout.date.valueOf()) {
                var newDate = new Date(ev.date)
                newDate.setDate(newDate.getDate() + 1);
                checkout.setValue(newDate);
            }
            checkin.hide();
            $('#dpd2')[0].focus();
        }).data('datepicker');
        var checkout = $('#dpd2').datepicker({
            onRender: function (date) {
                return date.valueOf() <= checkin.date.valueOf() ? 'disabled' : '';
            }
        }).on('changeDate', function (ev) {
            checkout.hide();
        }).data('datepicker');

        // var DatatableDataLocalDemo=
        // function(){
        //  var e=function(){
        //  i=a.getDataSourceQuery();
        //  $("#generalSearch").on("change",
        //  function(){a.search($(this).val(),
        //      "Status")}).val(void 0!==i.Status?i.Status:""),

        //  $("#m_form_status,").selectpicker()};
        //  return{init:function(){e()}}}();
        //  jQuery(document).ready(function(){
        //      DatatableDataLocalDemo.init()
        // });
        // $('#PerID').select2();
        // $('#Dept').selectpicker();
        $('#Dept').select2();
        $('#Users').select2();

        $('#PerID').change(function () {
            var PerID = $("#PerID").val();

            // 
            $.ajax({
                type: "GET",
                url: "<?php echo site_url('task/get_dept?PerID=') ?>" + PerID,
                data: {
                    // 'PerID' : PerID
                },
                typeData: 'json',
                success: function (msg) {
                    $('#departemen_select').html(msg);
                    console.log(msg);
                }
            });
            // alert(PerID);
            $.ajax({
                type: "POST",
                url: "<?php echo site_url('task/countKodeTask') ?>",
                data: {
                    'PerID': PerID
                },
                typeData: 'json',
                success: function (data) {
                    //alert(data);
                    $('#KodeTask').val(data);
                }

            });
            // alert(PerID);

        });

        $("#generalSearch").on("change", function () {
            $('#generalSearch').val();
            var fil = $("#m_form_status").val();
            $('#generalSearch').val(fil.substring(0, str.length - 1));
        });
    })



    $(document).ready(function () {
        $('#Waktu1').TouchSpin({
            buttondown_class: "btn btn-secondary",
            buttonup_class: "btn btn-secondary",
            min: 0,
            max: 10000,
            boostat: 5,
            maxboostedstep: 10
        });
    })

    function Angka(evt) {
        var charCode = (evt.which) ? evt.which : event.keyCode
        if (charCode > 31 && (charCode < 48 || charCode > 57))
            return false;
        return true;
    }

    function tambah_tahap() {
        var num = 1;
        for (var i = 0; i < num; i++) {
            $('div[id="tahapan"]').append('<div class="form-group m-form__group">\n\
                                <textarea minlength="10" class="form-control m-input--air" id="Tahap" rows="2" name="Tahap[]" required="required" placeholder="Input Sub Tugas Anda Sedetail-detailnya"></textarea></div>\n\
            </div>');
        }
    }

    function tampil_panduan_penjelasan() {
        var tes = $("#dept").val();
        swal({title: "Apa Itu Penjelasan?",
            text: "Didalam Daftar Tugas ini penjalasan merupakan informasi lengkap dari tugas yang akan anda buat. Informasi tersebut dapat berupa deskripsi, spesifikasi, atau kegunaan dari tugas yang akan anda lakukan." + tes,
            type: ""});
    }
    function tampil_panduan_objektif() {
        swal({title: "Apa Itu Objektif?",
            text: "Didalam Daftar Tugas ini objektif merupakan informasi dari tujuan atau hal yang akan di capai dalam pembuatan suatu tugas, Adapun tujuan tersebut nantinya yang akan menentekun penilaian seberapa besarnya tingkat prioritas pada suatu tugas.",
            type: ""});
    }
    function tampil_panduan_subtask() {
        swal({title: "Apa Itu Sub Tugas?",
            text: "Sub Tugas adalah tahapan-tahapan kerja yang harus dikerjakan agar Tugas bisa diselesaikan",
            type: ""});
    }
     function tampil_panduan_dampak() {
        swal({title: "",
            text: "Silahkan jelaskan dampak positif atau keuntungan yang akan didapat oleh perusahaan jika tugas ini dilaksanakan dengan baik. Kemudian jelaskan juga dampak yang akan di dapat jika tugas ini dikerjakan.",
            type: ""});
    }
    function tampil_panduan_dampak_non() {
        swal({title: "",
            text: "Silahkan jelaskan dampak negative atau kerugian yang akan didapat oleh perusahaan jika tugas ini tidak dilaksanakan dengan baik. Kemudian jelaskan juga dampak yang akan di dapat jika tugas ini tidak dikerjakan.",
            type: ""});
    }
    function tampil_panduan_biaya() {
        swal({title: "",
            text: "Silahkan kalkulasikan total estimasi biaya dalam pengerjaan tugas anda.",
            type: ""});
    }
    function tampil_panduan_bidang() {
        swal({title: "Apa Itu Bidang?",
            text: "Bidang dalam tasklist ini adalah jenis keilmuan yang dipergunakan untuk mendukung tercapainya objektif task.",
            type: ""});
    }
    function tampil_panduan_monitoring() {
        swal({title: "Apa itu Pengguna yang terlibat?",
            text: "Didalam Daftar Tugas ini Pengguna yang terlibat merupakan fitur yang akan mengelompokkan user siapa saja yang akan terlibat di dalam Daftar Tugas ini, Anda dapat meng klik Tombol 'Tambah User Yang Terlibat' untuk menentukan user siapa saja yang akan terlibat",
            type: ""});
    }
    function tampil_panduan_departemen() {
        swal({title: "Apa itu Departemen Yang Terlibat?",
            text: "Didalam Daftar Tugas ini Departemen anda dapat melibatkan departemen lain untuk dilibatkan dalam proyek anda.",
            type: ""});
    }

</script>
<script type="text/javascript">
    function convertToRupiah(angka)
    {
        var rupiah = '';
        var angkarev = angka.toString().split('').reverse().join('');
        for (var i = 0; i < angkarev.length; i++)
            if (i % 3 == 0)
                rupiah += angkarev.substr(i, 3) + '.';
        return 'Rp. ' + rupiah.split('', rupiah.length - 1).reverse().join('');
    }
</script>

<script type="text/javascript">
    function getValue(clicked_id) {
        // alert(clicked_id);
        $.post("<?php echo site_url() ?>task/usermonitoring/",
                function (data) {
                    $('#div_tampil').html(data);
                });
        $('#m_update').modal('show');
    }
</script>

<script src="<?php echo base_url(); ?>metronic/assets/demo/default/custom/components/forms/widgets/autosize.js" type="text/javascript"></script>
<!-- <script src="<?php echo base_url(); ?>metronic/assets/demo/default/custom/components/datatables/base/local-sort.js" type="text/javascript"></script> -->
<script src="<?php echo base_url(); ?>metronic/assets/demo/default/custom/components/datatables/base/html-table.js" type="text/javascript"></script>
<script src="<?php echo base_url();?>metronic/assets/demo/default/custom/components/forms/widgets/select2.js" type="text/javascript"></scrip